'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

var _formatMessage = require('../../../../format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n._1fxgVqLYz35d6Wn9nVJcJc {\n  display: flex;\n  flex-flow: column;\n}\n\n._2uATcpjro_Ufr9qE_rx02T {\n  padding-bottom: ' + theme.firstNumberSummaryPadding + ';\n}\n\n._3CbE2CPiLtSMiu984rGjGm {\n  padding-top: ' + theme.secondNumberSummaryPadding + ';\n}\n\n._3ekGwQKcjO0lSTea6Xo4to {\n  color: ' + theme.numberSummaryColor + ';\n  font-size: ' + theme.numberSummaryFontSize + ';\n  font-weight: ' + theme.numberSummaryFontWeight + ';\n  margin: auto;\n}\n\n._2F0h35tPoC-keTHskZFqMS {\n  margin: auto;\n  height: 1.5rem;\n  border-left: dotted ' + theme.verticalDotsBorderWidth + ';\n  border-color: ' + theme.verticalDotsBorderColor + ';\n}\n';
  },
  'column': '_1fxgVqLYz35d6Wn9nVJcJc',
  'firstNumberSummary': '_2uATcpjro_Ufr9qE_rx02T',
  'secondNumberSummary': '_3CbE2CPiLtSMiu984rGjGm',
  'numberSummary': '_3ekGwQKcjO0lSTea6Xo4to',
  'verticalDots': '_2F0h35tPoC-keTHskZFqMS'
};
var PositionSummary = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(PositionSummary, _Component);

  function PositionSummary() {
    (0, _classCallCheck3.default)(this, PositionSummary);
    return (0, _possibleConstructorReturn3.default)(this, (PositionSummary.__proto__ || Object.getPrototypeOf(PositionSummary)).apply(this, arguments));
  }

  (0, _createClass3.default)(PositionSummary, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: styles.column },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)([styles.numberSummary, styles.firstNumberSummary]) },
          (0, _formatMessage2.default)('{first, number}', { first: this.props.firstPosition })
        ),
        _react2.default.createElement('div', { className: styles.verticalDots }),
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)([styles.numberSummary, styles.secondNumberSummary]) },
          (0, _formatMessage2.default)('{last, number}', { last: this.props.lastPosition })
        )
      );
    }
  }]);
  PositionSummary.displayName = 'PositionSummary'
  ;
  return PositionSummary;
}(_react.Component), _class2.propTypes = {
  firstPosition: _propTypes2.default.number.isRequired,
  lastPosition: _propTypes2.default.number.isRequired
}, _temp)) || _class);
exports.default = PositionSummary;