'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _reactImmutableProptypes = require('react-immutable-proptypes');

var _reactImmutableProptypes2 = _interopRequireDefault(_reactImmutableProptypes);

var _Select = require('@instructure/ui-forms/lib/components/Select');

var _Select2 = _interopRequireDefault(_Select);

var _formatMessage = require('../../../format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TagSelect = (_temp2 = _class = function (_Component) {
  (0, _inherits3.default)(TagSelect, _Component);

  function TagSelect() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, TagSelect);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = TagSelect.__proto__ || Object.getPrototypeOf(TagSelect)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (event, selection) {}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(TagSelect, [{
    key: 'render',
    value: function render() {
      var tagAssociations = this.props.tagAssociations;

      return _react2.default.createElement(_Select2.default, {
        label: (0, _formatMessage2.default)('Tags and Metadata'),
        onChange: this.onChange,
        selectedOption: tagAssociations.toJS().map(function (ta) {
          return { value: ta.id, label: ta.tag_value };
        }),
        multiple: true });
    }
  }]);
  TagSelect.displayName = 'TagSelect'
  ;
  return TagSelect;
}(_react.Component), _class.propTypes = {
  tagAssociations: _reactImmutableProptypes2.default.listOf(_reactImmutableProptypes2.default.map)
}, _class.defaultProps = {
  tagAssociations: _immutable2.default.List()
}, _temp2);
exports.default = TagSelect;